summaryrefslogtreecommitdiffstats
path: root/system/percona-toolkit
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2012-04-29 21:00:50 -0400
committer Erik Hanson <erik@slackbuilds.org>2012-04-30 00:40:08 -0500
commit2f5de6ed661967e599a63a476c90df1c9c6d4d4a (patch)
tree94b6eafe9b71717090f7f8213cd2135765de321b /system/percona-toolkit
parentad76b106b43ed49fd572774bd782c6354ec5c443 (diff)
downloadslackbuilds-2f5de6ed661967e599a63a476c90df1c9c6d4d4a.tar.gz
slackbuilds-2f5de6ed661967e599a63a476c90df1c9c6d4d4a.tar.xz
system/percona-toolkit: Added (CLI MySQL helper utilities)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/percona-toolkit')
-rw-r--r--system/percona-toolkit/README15
-rw-r--r--system/percona-toolkit/percona-toolkit.SlackBuild69
-rw-r--r--system/percona-toolkit/percona-toolkit.info10
-rw-r--r--system/percona-toolkit/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/percona-toolkit/README b/system/percona-toolkit/README
new file mode 100644
index 0000000000..8fe4564977
--- /dev/null
+++ b/system/percona-toolkit/README
@@ -0,0 +1,15 @@
+Percona Toolkit is a collection of advanced command-line tools used by Percona
+support staff to perform a variety of MySQL and system tasks that are too
+difficult or complex to perform manually, including:
+
+- Verify master and replica data consistency
+- Efficiently archive rows
+- Find duplicate indexes
+- Summarize MySQL servers
+- Analyze queries from logs and tcpdump
+- Collect vital system information when problems occur
+
+Percona Toolkit is derived from Maatkit and Aspersa, two of the best-known
+utility toolkits for MySQL server administration.
+
+This requires perl-TermReadKey.
diff --git a/system/percona-toolkit/percona-toolkit.SlackBuild b/system/percona-toolkit/percona-toolkit.SlackBuild
new file mode 100644
index 0000000000..6800592103
--- /dev/null
+++ b/system/percona-toolkit/percona-toolkit.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for percona-toolkit
+
+# Copyright 2012 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=percona-toolkit
+VERSION=2.1.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL INSTALLDIRS=vendor
+make
+make install DESTDIR=$PKG
+
+#Move man-pages to appropriate place
+mv $PKG/usr/share/man $PKG/usr/
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog COPYING INSTALL MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/percona-toolkit/percona-toolkit.info b/system/percona-toolkit/percona-toolkit.info
new file mode 100644
index 0000000000..0179bd1d20
--- /dev/null
+++ b/system/percona-toolkit/percona-toolkit.info
@@ -0,0 +1,10 @@
+PRGNAM="percona-toolkit"
+VERSION="2.1.1"
+HOMEPAGE="http://www.percona.com/software/percona-toolkit/"
+DOWNLOAD="http://www.percona.com/downloads/percona-toolkit/2.1.1/percona-toolkit-2.1.1.tar.gz"
+MD5SUM="14be6a3e31c7b20aeca78e3e0aed6edc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/system/percona-toolkit/slack-desc b/system/percona-toolkit/slack-desc
new file mode 100644
index 0000000000..ade1212a3a
--- /dev/null
+++ b/system/percona-toolkit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+percona-toolkit: percona-toolkit (CLI MySQL helper utilities)
+percona-toolkit:
+percona-toolkit: Percona Toolkit is a collection of advanced command-line tools used
+percona-toolkit: by Percona support staff to perform a variety of MySQL and system
+percona-toolkit: tasks that are too difficult or complex to perform manually.
+percona-toolkit:
+percona-toolkit: Percona Toolkit is derived from Maatkit and Aspersa, two of the best-
+percona-toolkit: known utility toolkits for MySQL server administration.
+percona-toolkit:
+percona-toolkit: Homepage: http://www.percona.com/software/percona-toolkit/
+percona-toolkit: